Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Software Version 03.51.0001

© Keysight Technologies 2016

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

July, 2016

Table of Contents

DisplayPort Compliance Test Application—At a Glance

Starting the DisplayPort Compliance Test Application

To view/minimize the task flow pane

To view/hide the toolbar

Creating or Opening a Test Project

To set load preferences

Compliance Limits

To Activate/Refresh Limit Set

To Create/Edit Limit Set

Setting Up the Precision Probe/Cable

Setting Up Switch Matrix

Setting Up the Test Environment

Test Setup

DisplayPort Test Controller

Selecting Tests

Configuring Tests

Connecting the Oscilloscope to the DUT

Running Tests

To select the Store Mode

To run multiple times

To send email on pauses or stops

To pause or stop on events

To specify the event

To set the display preferences

To set the run preferences

Automating the Application

Viewing Results

To delete trials from the results

To show reference images and flash mask hits

To change margin thresholds

To change the test display order

To set trial display preferences

Viewing/Exporting/Printing the Report

To export the report

To print the report

To set HTML Report preferences

Understanding the Report

Saving Test Projects

To set AutoRecovery preferences

User Defined Add-Ins

To install an add-in

To remove an add-in

Controlling the Application via a Remote PC

To check for the App Remote license

To identify the remote interface version

To enable the remote interface

To enable remote interface hints

Using a Second Monitor

U7232D DisplayPort Electrical Performance
Compliance Test Application

Online Help


DisplayPort Compliance Test Application—At a Glance

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

DisplayPort Compliance Test Application—At a Glance

The Keysight U7232D DisplayPort Compliance Test Application for the DisplayPort provides a framework for using Keysight Infiniium Oscilloscopes to perform compliance testing. The automated test application guides you through the process of identifying the test environment, selecting and configuring tests, making Oscilloscope connections, running tests, and evaluating the test results.

The DisplayPort automated test application requires:

· U7232D DisplayPort Compliance Test Application Software.

· The minimum version of Infiniium Oscilloscope software (see the U7232D Test Application release notes).

· Keyboard, qty = 1 (provided with the Keysight Infiniium Oscilloscope).

· Mouse, qty = 1 (provided with the Keysight Infiniium Oscilloscope).

· Calibration cable included with the Infiniium oscilloscope. Also requires the use of a good quality 50 Ω BNC cable for calibrating the Oscilloscope (not included with the Oscilloscope).

· EProbe and accessories (see the U7232D Test Application Method of Implementation)

· Keysight also recommends using a second monitor to view the automated test application.

To run several source automated tests, you also require the following additional hardware:

· Keysight W2642A DisplayPort Source and Sink Test Automation with AUX Channel Control.

· Unigraf DPR-100 Compact sized DisplayPort Reference Sink.

To use the automated test application, see:

· Starting the DisplayPort Compliance Test Application

· To view/minimize the task flow pane

· To view/hide the toolbar

· Creating or Opening a Test Project

· To set load preferences

· Compliance Limits

· To Activate/Refresh Limit Set

· To Create/Edit Limit Set

· Setting Up the Precision Probe/Cable

· Setting Up Switch Matrix

· Setting Up the Test Environment

· Test Setup

· DisplayPort Test Controller

· Selecting Tests

· Configuring Tests

· Connecting the Oscilloscope to the DUT

· Running Tests

· To select the Store Mode

· To run multiple times

· To send email on pauses or stops

· To pause or stop on events

· To specify the event

· To set the display preferences

· To set the run preferences

· Automating the Application

· Viewing Results

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

· Viewing/Exporting/Printing the Report

· To export the report

· To print the report

· To set HTML Report preferences

· Understanding the Report

· Saving Test Projects

· To set AutoRecovery preferences

· User Defined Add-Ins

· To install an add-in

· To remove an add-in

· Controlling the Application via a Remote PC

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

· Using a Second Monitor

See Also

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation


Starting the DisplayPort Compliance Test Application

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Starting the DisplayPort Compliance Test Application

  1. From the Infiniium Oscilloscope's main menu, click Analyze>Automated Test Apps>U7232D DisplayPort Test App.

  2. The DisplayPort Compliance Test Application window appears.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the DisplayPort Test Compliance Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, click View>Task Flow from the DisplayPort Compliance Test Application's main menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the DisplayPort Test Compliance Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, click View>Toolbar from the DisplayPort Compliance Test Application's main menu.


Creating or Opening a Test Project

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Creating or Opening a Test Project

· To create a new test project:

  1. Click File>New Project... from the DisplayPort Compliance Test Application's main menu.

A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

· To open an existing test project:

  1. Choose File>Open Project... from the DisplayPort Compliance Test Application's main menu.

  2. In the Open dialog box, browse to a test project directory and select the desired *.proj file.

  3. Click Open.

See Also

· To set load preferences

Next

· Compliance Limits


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Compliance Limits

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Compliance Limits

You may define compliance limits within the DisplayPort Compliance Test Application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.

Next

· Setting Up the Precision Probe/Cable


To Activate/Refresh Limit Set

Compliance Limits

To Activate/Refresh Limit Set

  1. To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

  • Under the Configure tab, click the [image] button.

  • From the DisplayPort Compliance Test Application's main menu, click Tools>Compliance Limits>Activate/Refresh limit set....

  • The Activate/Refresh Compliance Limit Set dialog displays.

  • The Active Limit Set is already chosen based on the selection made in the Test Specification section of the Set Up tab. You may change the limit set in the Select a limit set to activate/refresh: area.

  2. Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications.

  3. Click User-defined limit sets: to enable the [image] button and select a file from the local disk that defines the custom limit set that you (or another user) have created. The user-defined limit sets may contain values that are different from any official specification. See To Create/Edit Limit Set on how to edit a user-defined limit set.

  4. Click the [image] button. In the Open dialog, navigate to the folder where the user-defined limit set file (*.lim) is saved.

  5. Select the limit set file and click Open.

  • The User-defined limit sets: field displays the file path and file name of the selected limit-set file.

  6. In either case, click [image] to enable the selected limit set. This will change the limit for the configuration options that are required to meet the compliance standard tests.


To Create/Edit Limit Set

Compliance Limits

To Create/Edit Limit Set

  1. To access the Create/Edit User-Defined Limit Set dialog, click Tools>Compliance Limits>Create/Edit limit set....

    • The Create/Edit User-Defined Limit Set dialog displays.

  2. Click the [image] button to load an existing official limit set or an existing user-defined limit set.

    • The Active Limit Set is already chosen based on the selection made in the Test Specification section of the Set Up tab. Also, the Official limit sets: radio button is selected by default under the Select a limit set to load: section.

    • Click [image] if you wish you to view the default limit set configuration for various tests.

  3. To manually define a user-defined limit set, select the User-defined limit sets: radio button to enable the field where you can type the file path and file name of the limit set file (*.lim).

    • Alternatively, you may click the [image] button to select the (*.lim) file from the local disk.

  4. In the Open dialog box, select the limit set file (*.lim) and click the Open button.

    • The User-defined limit sets: field displays the entire file path and name.

    • Click the [image] button to view the attributes of the limit set file.

    • In the Create/Edit User-Defined Limit Set dialog, notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit set file.

  5. In the Edit summary: section, you may type/edit the name of the limit set file in the Name: field and type/edit the reference standard name in the Shared reference: field.

  6. In the Select action to perform area, you can perform one of the following actions:

Edit Limit Sets

  1. Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

  2. Click the [image] button to modify the selected test limit set in the Edit Compliance Limit dialog.

  3. Click OK to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Combine Limit Sets

  1. Select two or more test limit rows and click the [image] button to combine test limits into one limit, such that the resultant limit covers more than one test ID.

  2. In the Combine Multi-Test Limit dialog, verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field.

  3. Type a summary name and description to identify the new combined test limit.

  4. Click the [image] button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Split Limit Sets

  1. Click the [image] button to access the Split Multi-Test Limit dialog to split a combined test limit into single test limits.

Note

You can only split multi-test limits. If you attempt to split a single-test limit, the application prompts an error.

  2. Click the [image] button to split the required test limits by moving the selected test limits into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit set.

    • For proper identification of the separate limit sets, there are separate summary names and summary descriptions in the respective fields.

  3. Click the [image] button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

Saving Limit Set

  1. On the Create/Edit User-Defined Limit Set dialog, rename the new limit set with a unique name which is different from the name of any official limit set.

  2. Click [image] to access the Save Limit Set As dialog to save your custom limit set, either Combined or Split, to a file.

  3. Click [image] to save the new limit file on the local disk and return to the Create/Edit User-Defined Limit Set dialog.

  4. Click [image] on the Create/Edit User-Defined Limit Set dialog to return to the test environment.


Setting Up the Precision Probe/Cable

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Setting Up the Precision Probe/Cable

Note

The precision probe/cable setup feature is only accessible from the DisplayPort Compliance Test Application if it is currently licensed on the oscilloscope.

  1. From the DisplayPort Compliance Test Application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the Oscilloscope Channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.

Next

· Setting Up Switch Matrix


Setting Up Switch Matrix

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Setting Up Switch Matrix

Switch Matrix — Overview

An Oscilloscope has only 4 Channels to run tests. The limited number of channels may, at times, limit the testing of some multi-lane standards. Also, it may prove to be a hindrance to run test procedures for multi-port devices or simultaneous testing of multiple devices. The Switch Matrix feature on the Infiniium Oscilloscope overcomes such limitations. The purpose of the ‘Switch Matrix’ feature is to ease the testing procedure, make it more feasible and to reduce the overall time. Using this feature, you can connect all four lane pairs of the source devices to the correct switches and to obtain an accurate signal path whenever required.

Keysight recommends the following switches to be used with the U7232D DisplayPort Compliance Test Application:

· Keysight U3020AS26

· BitifEye BIT-2100

Note

You require an additional license to support this optional feature of Switch Matrix in the U7232D DisplayPort Compliance Test Application.

To Enable Switch Matrix

Before you begin the testing of four lane pairs of the source devices simultaneously, you must enable the Switch Matrix feature.

To enable the switch matrix feature:

  1. Click Tools>Switch Matrix....

  2. In the Configure Switch Matrix Settings dialog box, click the On radio button to enable the Switch Matrix feature.

Enabling the Switch Matrix feature also enables the automated switch control. Notice that the Automatically select drivers and paths (limited models) radio button in the Configuration Mode section of the Controller tab is selected by default.

Establishing Connection to the Switch Drivers — Automatically

In the Configure Switch Matrix Settings dialog, under the Controller tab:

  1. From the Switch Drivers section, select the switch model from the Model: drop-down options.

Note

If you choose the other switch model next time, the switch settings and the response correction for all paths is reset based on the selected switch driver model.

  2. Click the Connect button to be able to connect the selected switch driver to a physical switch instrument.

  3. A Connect to <switch-model> dialog displays, which gives you two options to establish a connection to the switch models.

· Enter full SICL address or VISA alias—Select this radio button to type the complete SICL or VISA address of the switch driver. By default, this option is selected.

Click the Identify button to identify the instrument at the specified address or alias and to view the current status of the instrument that is connected to the switch driver. Click OK to exit.

A list of drivers is available to assign signal path. Click OK to return to the Configure Switch Matrix Settings dialog.

Click OK to save the settings and return to the test environment.

· Select from Keysight Connection Expert—Select this radio button to control the application with the help of remote PC. Upon selecting this option, the application starts seeking device information from the Keysight Connection Expert.

If remote access of the device is enabled, the Connect to <switch-model> dialog displays the list of active instruments.

Click to select the Identify* / Hide unresponsive addresses check-box to send an IDN query to every instrument in the list and search for the active instruments, if any.

If any active instruments are found, the Connect to <switch-model> dialog lists out such instruments. Select an instrument from the list and click OK to return to the Configure Switch Matrix Settings dialog.

Click OK in the Configure Switch Matrix Settings dialog to save the settings and return to the test environment.

Note

The Select from Keysight Connection Expert option is available only when the device is turned on and enabled for remote access.

To know more about how to control the application remotely, see Controlling the Application via a Remote PC.

Establishing Connection to the Switch Drivers — Manually

In the Configure Switch Matrix Settings dialog:

  1. Click to select the Manually perform these tasks (any supported model) radio button in the Configuration Mode section.

  2. In the Switch Drivers section, you may use the Add button to append the list of any additional drivers, which require a connection to an instrument. Use the Delete button to remove a selected driver from the list. Removing the driver from the list dissociates any signal paths that may have been assigned to it earlier.

Note

The Manually perform these tasks (any supported model) option allows you to decide how many drivers to use and how to route the signal paths. It enables the use of any supported switch model.

Rest of the steps for establishing a connection to the switch models remains the same as described in the Establishing Connection to the Switch Drivers — Automatically. The only difference between automatic and manual modes is that you can add/delete and select switch drivers (any supported model) as per your requirements and preferences in the manual mode.

Configuring Signal Paths

Once you have enabled the Switch Matrix feature and set up connections to the switch drivers, you must configure signal paths. The options to configure the signal paths vary depending upon whether you have selected Automatically select drivers and paths (limited models) or Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog.

Refer to the connection diagram before configuring signal paths either for Automatic or Manual selection. Under the Controller tab, click the [image] button to access the Connection Diagram dialog.

For Physical Layer Tests, the Connection Diagram dialog displays the following image:

For Dual Mode Tests, the Connection Diagram dialog displays the following image:

Configuring Signal Paths with Automatic Selection

When you have selected Automatically select drivers and paths (limited models) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

Notice that the signal paths are already predefined. Also, the Source and Sink points are read-only. At runtime, when the Switch Matrix module is on and when a connection prompt occurs, two events occur:

· The framework suppresses the prompts.

· The Switch Matrix module detects the new connection and then throw switches, as indicated in the Switch column, taking into account the current value of the config variable (if any) associated with the connection.

Configuring Signal Paths with Manual Selection

When you have selected Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

  2. Under the Sink column, select the channel or switch module in one of the drop-down options. You must manually select the alternative channel or driver module from the other drop-down option.

For example, if you choose Channel 2 in the first row, you must select Channel 4 in the drop-down options in the second row.

The Source column also displays the lane drop-down options. You may change the lane assignments and the corresponding Switch modules.

In both cases, that is, configuring signal paths with automatic or manual selection; click the View Connections... button to view the signal path mapping, to understand how the signal path maps to the connection diagrams being used by the application.

The Signal Paths Connection View dialog displays. By default, Dual Mode Test Connection Diagram is selected in the drop-down options for Connection:.

The Path Assignment & Response Correction area displays the connections configured for the corresponding connection diagrams in the Connection: drop-down. The other option in the drop-down is Source Tests Connection Diagram.

In the following example, the path and channel assignments are associated with the Source Tests Connection Diagram connection:

Click the Tests... button to view information about the tests that use the selected connection to perform automated tests. In the following example, tests are displayed for the first row in the Path Assignment & Response Correction area.

Click the Close button to exit and return to the Configure Switch Matrix Settings dialog to finish the signal path configuration.

If required, use the Reset Paths... button to clear all switch and response correction settings for all paths. Click OK if you wish to proceed.

Also, if needed, use the Load Preconfigured Settings... button to set switches for all paths as per the recommended settings. Click OK if you wish to proceed.

Response Correction

You must specify the response correction after you finish configuring the signal paths. This is a vital parameter that highly impacts the measurement accuracy, credibility and performance of the oscilloscope. The purpose of response correction is to correct the channel frequency response of the oscilloscope.

For each scope channel that you select, there are two response correction methods available in the Selected path correction mode: drop-down options:

· None—turn off normalization for the specified path. By default, this option is selected.

· PrecisionProbe—specify response correction by characterizing the precision cable or probe.

If you select PrecisionProbe option from the drop-down, the Configure PrecisionProbe / PrecisionCable dialog displays.

Refer to Setting Up the Precision Probe/Cable to know about how to configure the precision probe/cable. Depending on the number of test points on a specific scope channel, you may configure PrecisionProbe or PrecisionCable for the selected channel.

Once you configure the PrecisionProbe mode and return to the Response Correction tab of the Configure Switch Matrix Settings dialog, you may use the [image] button or double-click the selected row to access the corresponding configuration dialog, if you wish to make further changes to a specific scope channel configuration.

Use the Execute Switches button to establish a connection between the selected test point and scope channel.

In the following examples, the application displays the prompts indicating that a connection is established when you click Execute Switches after selecting the first row and the second row respectively. Click OK to close the prompt.

Once you have finished response corrections for all connections, click OK in the Configure Switch Matrix Settings dialog. The application redirects you to the test environment.

Next

· Setting Up the Test Environment


Setting Up the Test Environment

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Setting Up the Test Environment

· Use the Set Up tab to configure parameters prior to running tests on the Device Under Test (DUT) and to configure settings for the DisplayPort Test Controller.

· The test environment is divided into two sections: Source Tests Setup and DisplayPort Test Controller.

Source Tests Setup

Based on your test requirements, select one of the options in the Test specification and Test Selection areas and use the Test Setup button to configure attributes associated with the DUT.

  1. Test Specification—Select the DisplayPort test specification standard from the drop-down options that determine the type of compliance tests that can be run on the DUT. By default, 1.2b is selected. For some of the standards that you select, the options in the Test Selection area may not be available. Based on your selection of the Compliance Test Specification standard, the application changes some of the test attributes & their values under the Configure tab and also changes the default script file (*.aux) in the text field associated with Script File: (in the DisplayPort Test Controller section).

[Caution]

When you change the value in the Test Specification drop-down options, the application displays the following prompt:

If you have any existing results that you may want to view later, click No and save the project before proceeding further. Refer to Saving Test Projects on how to save the existing project and results.

  2. Test Selection—Select the radio button either for Physical Layer Tests, AUX PHY and Inrush Tests or Dual Mode Tests, based on the specific type of tests you want to run on the device. The tests displayed under the Select Tests tab and some of the test attributes in the Configure tab vary based on your selection.

As mentioned earlier, the option that you select in the Test Specification area dictates the availability of options in the Test Selection area, as shown below. The DisplayPort Compliance Test Application has a default Test Specification as 1.2b. The corresponding options that appear in the Test Selection area are shown in the first image.

  3. Test Setup—Click the [image] button to configure and define the DUT, Test Connection Setup and Channel Assignment Setup. Refer to Test Setup for more information. Once the Test Setup is complete, a blue text replaces the red text below the [image] button.

  4. Show Normative Tests Only—Select this check-box to prevent display of any informative tests. By default, the DisplayPort Compliance Test Application shows both normative tests only.

DisplayPort Test Controller

Set up an auxiliary channel using the DisplayPort Test Controller devices on the DisplayPort Compliance Test Application.

  1. Select the DisplayPort Test Controller (DPTC) device from the drop-down options (TCPIP or UnigrafDPTC) after you establish a physical connection with the DUT.

  2. Script File:—Use this field to load the pre-defined configuration files on the selected DPTC device. Type the location and name of the auxiliary controller script file (*.aux) in the associated text field or do the following:

  1. Click the [image] button to select the script file from the local disk. The Open dialog box appears.

  2. Select the desired script file and click Open. The Script File: displays the chosen file path and name and the configuration loads on to the DPTC device.

  3. Enable Automation—Select this check-box if you wish to run the automated script files using the DPTC on the DUT. By default, this option is unchecked. Notice that selecting this check-box activates the Configure button.

  4. Configure—Click the [image] button to access the Configuration dialog for the selected DisplayPort Test Controller. For example, the Configuration dialog for TCPIP is shown below, where you may define the IP address and Port address where the DPTC device is connected. The Configuration dialog for UnigrafDPTC has respective parameters.

    1. In the Configuration dialog, type the IP address in the IP Address: field and type its respective Port address in Port Number: field.

    2. Select the appropriate Send Timeout [ms]: and Receive Timout [ms]: as per the test requirements. Both timeouts are measured in millisecond (ms).

    3. Click OK to save the changes or click Cancel to discard the changes. The test setup environment displays.

  5. Launch GUI—Click the [image] button to access the DisplayPort Test Controller dialog where you can configure the attributes of the DPTC device for automating the tests being run on the DUT.

  6. AUX Channel Controller Mode—Select the radio button either for Standard DP Test Mode or Link Training Mode, based on the specific type of data pattern (Standard DP Pattern or Arbitrary Pattern) you want to generate.

    Notice that the Data Pattern: selection under the Test Setup section vary based on your choice made in this area.

· Select the Standard DP Test Mode to run the tests using the respective DisplayPort compliance data pattern.

· Select the Link Training Mode to run the tests using the scrambled 8B/10B data pattern.

Note

The AUX Channel Controller Mode option is only functional for Test Specification 1.4.

Next

· Selecting Tests

See Also

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation


Test Setup

Setting Up the Test Environment

Test Setup

You must configure and define the various attributes associated with the Device Under Test (DUT) and establish its connectivity with the Oscilloscope prior to running the tests.

· Click the [image] button under the Set Up tab. The Test Setup dialog displays.

  1. Type the Device ID, Operator ID, Project ID and Comments in the respective fields such that it will assist you in distinguishing between several testing projects on the HTML report of the DisplayPort Compliance Test Application.

  2. Select the appropriate Device Type: and the Test Type: from the respective drop-down options. The default Device Type is Source and the default Test Type is Differential Tests.

Notice that if you select Sink or Cable as the Device Type:, the Test Type: field is grayed out displaying only Differential Tests in the Test Type:.

Note

An additional option of Data Pattern: appears on selection of Test Specification 1.4.

The Data Pattern: is already chosen, based on the selection made in the AUX Channel Controller Mode section of the Set Up tab, if the Enable Automation option is checked.

· Standard DP Pattern is chosen on the selection of Standard DP Test Mode.

· Arbitrary Pattern is chosen on the selection of Link Training Mode.

  3. Notice that an additional option of Connector Type appears on selection of Test Specification 1.4.

    You can select either Standard DP/mDP or USB Type-C connector from the drop-down box.

Note

The selection made in the Connector Type affects the options available in the Fixture Type section and cable model used for the TP3_EQ Physical Layer Tests.

· If you select Standard DP/mDP, the following options appear in the Fixture Type section:

· If you select USB Type-C, the following options appear in the Fixture Type section:

· Click the [image] button. The DUT Definition Setup dialog appears. You may click the [image] button to exit the Test Setup wizard and return to the test environment.

  1. In the Lane Setting area, select the number of data lanes you want to configure on the DUT. By default, 1 Lane is selected.

  2. In the Bit Rate area, select at least one or more bit rate value for signal transmission on the DUT. By default, only 1.62 Gbps is selected.

    The Bit Rate values differ as per the Test Specification selection in the Set Up tab. Here are the values of Test Specification 1.2b, 1.4, MyDP 1.0 and MyDP HBR25 respectively.

Notice that if you select the Bit Rate of 5.4 Gbps in Test Specification 1.2b and 6.75 Gbps in Test Specification MyDP HBR25, the options to select the preferred configuration for High Bit-Rate2 (HBR2 Preferred Setting with Cable and HBR2 Preferred Setting with No Cable) appears. This preferred configuration is a combination of Voltage Swing, Pre-Emphasis Levels and Post-Cursor2 levels.

Similarly if you select the Bit Rate of 8.1 Gbps in Test Specification 1.4, the options to select the preferred configuration for High Bit-Rate3 (HBR3 Preferred Setting with Cable and HBR3 Preferred Setting with No Cable)appears.

  3. In the Spread Spectrum Clocking area, select the radio-button either to keep SSC active or to keep SSC inactive during the running of tests on the DUT. You may select Both to allow automation of enabling or disabling of the SSC depending on the type of tests you run. By default, SSC is Disabled.

  4. In the Post Cursor2 Level area, select one or more Post-Cursor2 Levels that are supported by the DUT. By default, only Level 0 is selected.

  5. In the Voltage Swing area, select one or more Voltage Levels that are supported by the DUT. By default, Swing 0, Swing 1 and Swing 2 are selected.

  6. In the Pre-emphasis area, select one or more Pre-emphasis Levels that are supported by the DUT. By default, Pre-emphasis 0, Pre-emphasis 1 and Pre-emphasis 2 are selected.

Notice that as you select or de-select the Pre-emphasis levels, the Swing levels are enabled or disabled accordingly.

· Click the [image] button. The Test Connection Setup dialog appears. You may click the [image] button to return to the Test Setup dialog or click the [image] button to exit the Test Setup wizard and return to the test environment.

  1. Fixture Type—Choose a DisplayPort fixture type from the drop-down options, according to the actual fixture used for the tests. If the fixture you are using is not listed, choose Other.

  2. De-embed Fixture—Select this check-box, if you wish to reduce/remove losses from the fixture. By default, this option is not selected. Notice that the de-embedding fixture is not available for ICT Lanto mDP Plug and Other.

  3. Connection Type—Choose a connection type either as Differential Probe for Differential Tests measurement or Single-Ended (A-B) for Single-Ended Tests measurement.

  4. No. of Channels—Choose the number of oscilloscope channels that must be connected with the Probes or Cables (for Single-Ended connections) used for the tests. You may find that this field is grayed out with certain number of channels already selected, depending on your selections made in the previous dialog boxes.

· Click the [image] button. The Channel Selection Setup dialog appears. You may click the [image] button to return to the DUT Definition Setup dialog or click the [image] button to exit the Test Setup wizard and return to the test environment.

  1. The Channel Selection Setup wizard displays a pictorial representation of the connection between the DUT and the oscilloscope. You may choose the Lane and the Channel in the test connection, on which you want your tests to be run. Notice that the connection diagram in the Channel Selection Setup wizard varies based on your selection in the previous dialogs of the Test Setup. A few examples of connection diagrams are displayed below.

  2. Notice the color coding used to represent the Lanes in the figures. Click Legend to check the description of each color code, so that you may modify your connection to have a good channel assignment and proper probe attachment & calibration.

· If you are done with all Channel and Lane assignments, click the [image] button to return to the test environment under the Set Up tab. You may click the [image] button to return to the previous dialogs to make any changes, if required.


DisplayPort Test Controller

Setting Up the Test Environment

DisplayPort Test Controller

· To configure various attributes of the DisplayPort Test Controller (DPTC) device and the Device Under Test (DUT), click the [image] button in the DisplayPort Test Controller section of the Set Up tab. The DisplayPort Test Controller dialog displays.

· On the DisplayPort Test Controller dialog, notice that the following four fields are pre-populated and grayed out:

  1. DP Version:—Displays the specification standard version chosen from the Test Specification drop-down options under the Set Up tab.

  2. Controller:—Displays the device chosen from the DisplayPort Test Controller drop-down options under the Set Up tab.

  3. Script File:—Displays the file path and file name of the auxiliary script controller file (*.aux) defined in the Select Script: field under Set Up tab.

  4. EDID File:—Displays the file path and file name of the data structure file (*.edid) for the DPTC device.

    1. To locate the EDID file on the local disk, click the [image] button. The Open dialog displays.

    2. Select the appropriate EDID file, which consists of the data structure for the selected DPTC device.

    3. Click Open. The file path and file name of the EDID file displays in the associated field and the data structure is loaded on the DPTC device.

· The AUX Channel Controller Mode is already chosen, based on the selection made in the Set Up tab.

Note

The AUX Channel Controller Mode option is only functional for Test Specification 1.4.

· In the DPTC Type area,

  1. Select the radio-button either for Automation, Sink or Source to define the behavior of the DPTC device with respect to the DUT. By default, Automation is selected.

    1. Selecting Automation enables the [image] button and the DUT Configuration area. Click the [image] button to configure the DUT to generate a signal that is based on the settings in the DUT Configuration area.

  • To test the impact of automation steps on the oscilloscope signal prior to running automation tests on the DUT, select the Split Change Signal Steps (Advanced User) check-box, which splits the three steps to initiate and run the test automation steps.

  • Click the buttons in the order of steps (Step 1 followed by Step 2 and Step 3) to test the DUT automation steps that helps in configuring the DUT to generate a signal that involves three steps: Initialize, Run1 and Run2.

    2. Selecting Sink enables the [image] button. Click the [image] button to initiate an interrupt signal from the Sink device.

    3. Selecting Source enables the [image] button. Click the [image] button to initiate a "read" operation of the DisplayPort Configuration Data (DPCD) registered from the Sink device.

· To configure the DUT to generate the required test pattern and test conditions, select the drop-down options for each of the attributes under DUT Configuration.

  1. Lane Number—set the number of data lanes for the DUT. By default, 1 is selected.

  2. Data Rate—set the pre-defined data rate from the options that available for the specified DP version for a specific type of DUT. By default, 1.62 Gbps is selected.

  3. SSC—set the Spread Spectrum Clocking mode either to disabled or to enabled state on the DUT. By default, SSC Disabled is selected.

  4. Voltage Level—set the voltage swing level on the DUT. By default, Swing 0 is selected.

  5. Pre-Emphasis—set the pre-emphasis level on the DUT. By default, Pre-emphasis 0 is selected.

  6. Post-Cursor 2—set the level of post-cursor Internal Symbol Interference. By default, Level 0 is selected

  7. Pattern—set the signal pattern on the DUT. By default, D10.2 is selected.


Selecting Tests

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Selecting Tests

· To select the tests that you want to run on the DUT for compliance,

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

Note

The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time a selection is made.

· The following images indicate the change in the default view of the Select Tests tab, which is based on the option you choose under the Test Selection area of the Set Up tab.

  2. Select the tests you want to run.

· Notice the following settings:

  1. Checking a parent node/group will check all available sub-groups or tests.

  2. Unchecking a parent node/group will uncheck all sub-groups or tests.

  3. A parent node is checked if all subgroups are checked.

  4. A parent node is unchecked if ANY subgroup is unchecked.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

· When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests have already been run

· If tests have already been run, you will see their status in the Select Tests tab.

· The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

Next

· Configuring Tests

See Also

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation


Configuring Tests

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select either Compliance Mode or Debug Mode.

    • Compliance Mode— lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode— lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

Tip

· A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

· A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

· A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

Next

· Connecting the Oscilloscope to the DUT

See Also

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation


Connecting the Oscilloscope to the DUT

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

Next

· Running Tests

See Also

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation


Running Tests

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Running Tests

Note

You must allow the Oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

· Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

· Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

· Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

· Under the Run Tests tab, click the Start button to run the selected tests.

You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

· For more information on the options available under the Run Tests tab, see:

  • To select the Store Mode

  • To run multiple times

  • To send email on pauses or stops

  • To pause or stop on events

  • To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

· To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

· To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running.

· Click Stop to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

· If you do not select the [image] check-box under the Connect tab and click the [image] button in the Run Tests tab, you may view the Change Physical Connection/Setup dialog similar to the one shown below.

· You may click Cancel if you wish to abort the tests. You may click Ignore if you do not find a need to change the physical setup.

· If you wish to continue, once you have made the physical changes to the connection according to the instructions listed on the Change Physical Connection/Setup dialog, select the check-box for [image] and click the [image] button to run the tests further. Click the [image] button if you wish to view the oscilloscope.

  4. When all selected tests are complete, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

· [image] Keysight U7232D DisplayPort Electrical Compliance Test Application Methods of Implementation

Next

· Automating the Application


To select the Store Mode

Running Tests

To select the Store Mode

· You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials. By default, Worst is selected. Irrespective of the selection, the results of up to 40 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

· If you change the type of trials in the Store Mode section, all existing test results will be deleted.

· The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

· You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests. By default, Once is selected.

    • Forever — Tests are run repeatedly until you click the Stop button.

    • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

    • Once — Tests are run only once.

Note

When you choose to run the tests N times, you may use the trial display options in the Report tab of the Preferences dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

· You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box. The Configure button appears.

  3. Click Configure. The Configure Email dialog appears.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

· Pauses occur between runs when you run your tests for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

· You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

· You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

· You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. Click the Run Tests tab.

  2. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

· You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To set the run preferences

Running Tests

To set the run preferences

· Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. In the Misc section, select/deselect the following options. By default, these options are enabled:

· Display Results tab at the end of run — application automatically displays the Results tab either after the test runs are complete or after you manually abort the test runs.

· Disable Infiniium user interface during run (improves performance) — disables the Infiniium oscilloscope's user interface prior to starting the test runs. The oscilloscope displays the following prompt so that you can manually enable the oscilloscope interface.

  6. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Automating the Application

· The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

  1. Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

· In the Script mode, the application runs commands entered in the script text box.

· To construct a script of commands, do one of the following:

  1. Type in commands (one per line) in the script text box.

  2. Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

· You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

· Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

  2. In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

· In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

· Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

· Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

· Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages".

  1. To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

· To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.

Next

· Viewing Results

See Also

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation


Viewing Results

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 40 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

  1. Under the Results tab, select one or more trials that you want to delete and do one of the following:

  1. Click [image] on the toolbar.

· Click Yes to delete the selected result.

  2. Press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the trial or test to delete.

  4. Right-click inside the display area of the trial tab (in the lower pane).

· You may select and delete one trial if you have a summary of trials.

· You may select a specific trial to delete.

· Select the check-box against the particular trial when you wish to delete a single trial:

· If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these results at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

· If you delete the last remaining trial of a test, the entire test results are removed. You may use the Delete Selected Test... option in the upper pane to delete all results for a selected test.

· Click Yes if you wish to delete the selected test and all it's trials.

· The test result and all it's associated trials are deleted.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the DisplayPort Compliance Test Application, the maximum number of trials displayed is 40. For example:

  1. Let us assume N is 40 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

This opens the reference image dialog.

  2. In the reference image dialog, you can:

    1. Click the flash red pixels button [image] to highlight the points of failure.

    2. Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  3. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

· Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and click OK to close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

· Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, select the radio button to arrange tests chronologically or you may use the same ordering as in the Select Tests tab. By default, Chronologically is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set trial display preferences

Viewing Results

To set the Trial Display preferences

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Trial Display section, select the number of worst trials whose details you want the application to display.

  4. Select the radio button for Order trial details: to arrange the display order of the trial details either chronologically or the worst trial first followed by the rest of the trials. By default, Worst first is selected.

  5. Select the check-box for Show images for up to 40 worst trial(s) if you want the application to display images of the signal on the scope that were captured during running of such trials. By default, this box is selected.

  6. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Viewing/Exporting/Printing the Report

· To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

· [image] Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Methods of Implementation

Next

· Understanding the Report


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the DisplayPort Compliance Test Application's main menu, click File>Export Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

  1. Select CSV to export the results as a comma-separated list of values.

  2. In the Export CSV Results dialog, type a name for the CSV file and click Save.

· The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

· You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File —

  1. Click File>Export Results>HTML>Single-File.

  2. Click OK on the following prompt.

  3. On the Save Webpage dialog, select Web Archive, single file (*.mht) to save a single-file report, in the Save as type: drop-down.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File —

· For large reports, where you may prefer using links within the report, select the File>Export Results>HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files.

· Select a folder in the Browse For Folder dialog to save the report.

· Click OK. The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report printout, click [image] or choose File>Print Preview... from the DisplayPort Compliance Test Application's main menu.

· To print the HTML test report, click [image] or choose File>Print... from the DisplayPort Compliance Test Application's main menu.


To set HTML Report preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....
    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Jump Actions section, you can:

  1. Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

  2. Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Understanding the Report

· The information in this topic will help you understand the different sections of the DisplayPort HTML Report.

· The top section of the DisplayPort HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the Oscilloscope used to perform the test: the version of the Oscilloscope's application, the model number and the serial number of the Oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

· The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

· The next section of the report shows the statistics for each of the selected measurements.

Next

· Saving Test Projects


Saving Test Projects

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Saving Test Projects

· To save test settings and results to the current project directory:

    1. Choose File>Save Project from the DisplayPort Compliance Test Application's main menu.

· To save test settings and results to a new project directory:

    1. Choose File>Save Project As... from the DisplayPort Compliance Test Application's main menu.

    2. In the Browse for Folder dialog box, select the appropriate folder location.

Project files are saved in a directory whose name is the device name.

    3. Click OK.

See Also

· To set AutoRecovery preferences

Next

· User Defined Add-Ins


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


User Defined Add-Ins

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

User-Defined Add-Ins

· If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in

Next

· Controlling the Application via a Remote PC


To install an add-in

User-Defined Add-Ins

To install an add-in

  1. From the DisplayPort Compliance Test Application's main menu, click File>User Defined:

· The application prompts for the location of the add-in's installer (created by the N5467B UDA tool):

  2. Click the Open button, a prompt appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

  3. Click OK after saving any existing test results, the add-in is installed and the DisplayPort Compliance Test Application relaunches automatically.

  4. Once the application launches again, the following prompt appears. Click OK.

· Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

· In the Debug mode, add-in tests are displayed in their own test group under the Select Tests tab. You may select these tests to see the description in the area below.

· As a result of installing add-ins, under the Configure tab, by default, Debug is selected in the Mode: area.

· If you switch to the Compliance mode at this stage, the following prompt appears:

· To view the add-in tests under the Select Tests tab, click Cancel. To hide the add-in tests from the Select Tests tab, click OK and the Configure tab displays Configure mode options.


To remove an add-in

User-Defined Add-Ins

To remove an add-in

  1. From the DisplayPort Compliance Test Application's main menu, click File>User Defined>Uninstall Add-In...:

· The application displays the following prompt before you uninstall the add-in.

  2. Click OK if you wish to uninstall the add-in.

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

· When you click OK after saving any existing test results, the DisplayPort Compliance Test Application restarts and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Controlling the Application via a Remote PC

· If the App Remote license option is installed (for the N5452A remote interface) on the Oscilloscope, the DisplayPort Compliance Test Application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

· Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

· With the remote interface, you can:

  1. Launch and close the applications

  2. Configure options

  3. Run tests

  4. Obtain results

  5. Control display options & preferences

  6. Save and load projects

· For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, click Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the DisplayPort Compliance Test Application's main menu, click Help>About....

· In the About dialog, the remote interface version is listed above the UDA Add-In Interface version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

· If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the DisplayPort Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

· When you select this option:

    1. Select the remote programming language described in the tips.

    2. Tooltips related to the remote interface commands appear when you click the toolbar.

    3. Various controls in the tabs will have a context menu item added as "Remote interface hint...".

    4. The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Using a Second Monitor

You may use a second monitor to display the DisplayPort Compliance Test Application, allowing you to view the oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the Oscilloscope on the external monitor.

· Before starting the DisplayPort Compliance Test Application, ensure that the second monitor is configured properly:

  1. Exit the Oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display: drop-down. The recommended screen resolution changes accordingly.

If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution: and select an option.

  6. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· DisplayPort Compliance Test Application—At a Glance


Restricted Rights Legend

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Keysight U7232D DisplayPort Electrical Performance Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.